For the complete documentation index, see llms.txt. This page is also available as Markdown.

Anomaly Comments

APIs to manage anomaly comments

List anomaly comments

get

List comments for the given anomaly

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

anomalyIdstringRequired
Responses
default

List anomaly comments

application/json
statusstring · enumOptionalPossible values:
metaDataobjectOptional
correlationIdstringOptional
get/anomaly/v2/comment
GET /gateway/ccm/api/anomaly/v2/comment?accountIdentifier=text&anomalyId=text HTTP/1.1
Host: nextgen-ce-66b6b78845-qll9w
Accept: */*
default

List anomaly comments

{
  "status": "SUCCESS",
  "data": [
    {
      "uuid": "text",
      "accountId": "text",
      "anomalyId": "text",
      "comment": "text",
      "createdBy": {
        "uuid": "text",
        "name": "text",
        "email": "text",
        "externalUserId": "text"
      },
      "createdAt": 1
    }
  ],
  "metaData": {},
  "correlationId": "text"
}

Save anomaly comment

post

Save comment for the given anomaly

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body
uuidstringOptional
accountIdstringRequired
anomalyIdstringRequired

Identifier of the anomaly this comment belongs to

commentstringOptional
createdAtinteger · int64Optional
Responses
default

Save anomaly comment

application/json
statusstring · enumOptionalPossible values:
datastringOptional
metaDataobjectOptional
correlationIdstringOptional
post/anomaly/v2/comment
POST /gateway/ccm/api/anomaly/v2/comment?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-66b6b78845-qll9w
Content-Type: application/json
Accept: */*
Content-Length: 165

{
  "uuid": "text",
  "accountId": "text",
  "anomalyId": "text",
  "comment": "text",
  "createdBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  },
  "createdAt": 1
}
default

Save anomaly comment

{
  "status": "SUCCESS",
  "data": "text",
  "metaData": {},
  "correlationId": "text"
}

Last updated

Was this helpful?